/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: OtterNode.java,v 1.1.2.6 2000/02/13 03:41:10 pmahar Exp $
 */

package org.enhydra.ide.jbuilder.common.node;

import java.io.File;

/**
 * Interface declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public interface OtterNode {

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    abstract public String getFilename();

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    abstract public char getFileSeparatorChar();

    /**
     * Method declaration
     *
     *
     * @param property
     *
     * @return
     *
     * @see
     */
    abstract public String getProperty(String property);

    /**
     * Method declaration
     *
     *
     * @param property
     * @param value
     *
     * @see
     */
    abstract public void setProperty(String property, String value);
    abstract public void setProperty(String property, int value);

    /**
     * Method declaration
     *
     *
     * @param javaSource
     *
     * @see
     */
    abstract public Object getNativeNode();

    /**
     * Method declaration
     *
     *
     * @param o
     *
     * @see
     */
    abstract public void setNativeNode(Object o);

    abstract public OtterProject getProject();
}



/*--- formatting done in "Sun Java Convention" style on 01-16-2000 ---*/

